gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ContainerAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype ContainerAccessible = ContainerAccessible (ManagedPtr ContainerAccessible)
- class (GObject o, IsDescendantOf ContainerAccessible o) => IsContainerAccessible o
- toContainerAccessible :: (MonadIO m, IsContainerAccessible o) => o -> m ContainerAccessible

# Exported types

newtype ContainerAccessible Source #

Memory-managed wrapper type.

Constructors

ContainerAccessible (ManagedPtr ContainerAccessible) |

#### Instances

Instances details

Eq ContainerAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ContainerAccessible Methods (==) :: ContainerAccessible -> ContainerAccessible -> Bool Source # (/=) :: ContainerAccessible -> ContainerAccessible -> Bool Source #
GObject ContainerAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ContainerAccessible
ManagedPtrNewtype ContainerAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ContainerAccessible Methods toManagedPtr :: ContainerAccessible -> ManagedPtr ContainerAccessible Source #
TypedObject ContainerAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ContainerAccessible Methods glibType :: IO GType Source #
HasParentTypes ContainerAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ContainerAccessible
IsGValue (Maybe ContainerAccessible) Source # | Convert `ContainerAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ContainerAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ContainerAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ContainerAccessible) Source #
type ParentTypes ContainerAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ContainerAccessible type ParentTypes ContainerAccessible = '[WidgetAccessible, Accessible, Object, Object, Component]

class (GObject o, IsDescendantOf ContainerAccessible o) => IsContainerAccessible o Source #

Type class for types which can be safely cast to `ContainerAccessible`, for instance with `toContainerAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf ContainerAccessible o) => IsContainerAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.ContainerAccessible

toContainerAccessible :: (MonadIO m, IsContainerAccessible o) => o -> m ContainerAccessible Source #

Cast to `ContainerAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.